<?php

/**
 * @file
 * Themes for text file formats.
 */

//////////////////////////////////////////////////////////////////////////////
// Theme callbacks

/**
 * Theme for text rendering.
 */
function theme_fileframework_text_text_render($variables) {
  $options = !empty($variables['options']) ? $variables['options'] : array();
  extract($options, EXTR_SKIP);

  //check text encoding
  if (!drupal_validate_utf8($text)) {
    $text = utf8_encode($text);
  }

  return '<div style="overflow:auto">'. nl2br(check_plain($text) . (isset($append) ? check_plain($append) : '')) .'</div>';
}

/**
 * Theme for code text rendering.
 */
function theme_fileframework_text_code_render($variables) {
  $options = !empty($variables['options']) ? $variables['options'] : array();
  extract($options, EXTR_SKIP);

  $src = bitcache_resolve_uri($buri, array('absolute' => FALSE, 'query' => array_merge(!empty($vid) ? array('vid' => $vid) : array(), array('disposition' => 'inline'))));
  return '<iframe src="'. $src .'" width="580px" height="350px"></iframe>';
}
