<?php

/**
 * @file
 * User page callbacks.
 */

//////////////////////////////////////////////////////////////////////////////
// Select cover frame

/**
 * Generates the cover frame image.
 *
 * @param $node
 *   A node object.
 * @param $frame
 *   A frame offset in seconds.
 */
function fileframework_video_select_frame($node, $frame) {
  $file = $node->file;
  if (!isset($file)) {
    drupal_access_denied();
    exit;
  }

  $has_flash_preview = FALSE;
  $fileframework_buris = fileframework_generated_for($file);
  foreach ($fileframework_buris as $buri => $data) {
    if ($data['handler'] == 'fileframework_video_flash_flv')
      $has_flash_preview = TRUE;
  }
  if (!$has_flash_preview && $file->type != 'video/x-flv') {
    drupal_access_denied();
    exit;
  }

  fileframework_rdf_delete($file->buri, fileframework_rdf_qname_to_uri('wordnet:video_frame'), NULL, array('repository' => FILEFRAMEWORK_RDF_REPOSITORY));
  fileframework_rdf_insert($file->buri, 'wordnet:video_frame', (float)$frame, array('repository' => FILEFRAMEWORK_RDF_REPOSITORY));
  foreach ($fileframework_buris as $buri => $data) {
    if ($data['type'] == 'image/jpeg') {
      $sources = fileframework_rdf_normalize(fileframework_rdf_query($buri, fileframework_rdf_qname_to_uri('dc:source'), NULL, array('repository' => FILEFRAMEWORK_RDF_REPOSITORY)));
      if (db_result(db_query("SELECT nid FROM {file_nodes} WHERE buri = '%s'", $buri)) || count($sources[$buri][fileframework_rdf_qname_to_uri('dc:source')]) > 1)
        fileframework_rdf_delete($buri, fileframework_rdf_qname_to_uri('dc:source'), $file->buri, array('repository' => FILEFRAMEWORK_RDF_REPOSITORY));
      else
        fileframework_rdf_delete($buri, NULL, NULL, array('repository' => FILEFRAMEWORK_RDF_REPOSITORY));
    }
  }

  $file->filemime = $file->type;
  $file->fillename = $node->title;

  fileframework_generate_previews($file, TRUE);

  drupal_goto('node/'. $node->nid);
}

